Loading...
Searching...
No Matches
globus_module_descriptor_s Struct Reference
Globus Common API » Module Activation Management

Module Descriptor. More...

`#include <globus_module.h>`

## Data Fields

char * | module_name
globus_module_activation_func_t | activation_func
globus_module_deactivation_func_t | deactivation_func
globus_module_atexit_func_t | atexit_func
globus_module_get_pointer_func_t | get_pointer_func
globus_version_t * | version
globus_error_print_friendly_t | friendly_error_func

## Detailed Description

Module Descriptor.

Public data structure which contains function pointers to activate deactivate a module.

## Field Documentation

## activation_func

globus_module_activation_func_t globus_module_descriptor_s::activation_func

Module activation function

## atexit_func

globus_module_atexit_func_t globus_module_descriptor_s::atexit_func

Module atexit function

## deactivation_func

globus_module_deactivation_func_t globus_module_descriptor_s::deactivation_func

Module deactivation function

## friendly_error_func

globus_error_print_friendly_t globus_module_descriptor_s::friendly_error_func

Module error message function

## get_pointer_func

globus_module_get_pointer_func_t globus_module_descriptor_s::get_pointer_func

Module get_pointer function

## module_name

char* globus_module_descriptor_s::module_name

Module name string

## version

globus_version_t* globus_module_descriptor_s::version

Module version

The documentation for this struct was generated from the following file:

- globus_module.h